DataInfo Class Referenceabstract

`#include <DataInfo.h>`

Inheritance diagram for DataInfo:
Collaboration diagram for DataInfo:

## Public Member Functions

| DataInfo ()
virtual | ~DataInfo ()
virtual void | GetVersion (std::string &version)=0
virtual const std::vector < std::string > & | GetCatNames ()=0
virtual const std::vector < std::string > & | GetItemsNames ()=0
virtual bool | IsCatDefined (const std::string &catName) const =0
virtual bool | IsItemDefined (const std::string &itemName)=0
virtual const std::vector < std::string > & | GetCatKeys (const std::string &catName)=0
virtual const std::vector < std::string > & | GetCatAttribute (const std::string &catName, const std::string &refCatName, const std::string &refAttribName)=0
virtual const std::vector < std::string > & | GetItemAttribute (const std::string &itemName, const std::string &refCatName, const std::string &refAttribName)=0
virtual bool | AreAllKeyItems (const std::string &catName, const std::vector< std::string > &attribsNames)
virtual bool | IsUnknownValueAllowed (const std::string &catName, const std::string &attribName)
bool | AreItemsValuesValid (const std::string &catName, const std::vector< std::string > &attribsNames, const std::vector< unsigned int > &attribsIndices, const std::vector< bool > &allowedNullAttribs, const std::vector< std::string > &values, const Char::eCompareType compareType=Char::eCASE_SENSITIVE)
virtual bool | IsKeyItem (const std::string &catName, const std::string &attribName, const Char::eCompareType compareType=Char::eCASE_SENSITIVE)
virtual bool | MustConvertItem (const std::string &catName, const std::string &attribName)
virtual void | GetItemsTypes (std::vector< eTypeCode > &attribsTypes, const std::string &catName, const std::vector< std::string > &attribsNames)
virtual void | StandardizeEnumItem (std::string &value, const std::string &catName, const std::string &attribName)
void | GetMandatoryItems (std::vector< std::string > &mandItemsNames, const std::string &catName)
bool | IsItemMandatory (const std::string &catName, const std::string &attribName)
virtual bool | IsItemMandatory (const std::string &itemName)
virtual bool | IsSimpleDataType (const std::string &itemName)
virtual eTypeCode | _GetDataType (const std::string &itemName)
const std::vector< std::vector < std::string > > & | GetComboKeys (const std::string &catName)
std::vector< std::vector < std::vector< std::string > > > & | GetChildrenKeys (const std::vector< std::string > &parComboKey)

## Constructor & Destructor Documentation

DataInfo::DataInfo | ( | ) |  |

virtual DataInfo::~DataInfo | ( | ) |  |

virtual

## Member Function Documentation

virtual eTypeCode DataInfo::_GetDataType | ( | const std::string & | itemName) |  |

virtual

virtual bool DataInfo::AreAllKeyItems | ( | const std::string & | catName,
|  | const std::vector< std::string > & | attribsNames
| ) |  |

virtual

bool DataInfo::AreItemsValuesValid | ( | const std::string & | catName,
|  | const std::vector< std::string > & | attribsNames,
|  | const std::vector< unsigned int > & | attribsIndices,
|  | const std::vector< bool > & | allowedNullAttribs,
|  | const std::vector< std::string > & | values,
|  | const Char::eCompareType | compareType = `Char::eCASE_SENSITIVE`
| ) |  |

virtual const std::vector<std::string>& DataInfo::GetCatAttribute | ( | const std::string & | catName,
|  | const std::string & | refCatName,
|  | const std::string & | refAttribName
| ) |  |

pure virtual

Implemented in CifDataInfo, and DictDataInfo.

virtual const std::vector<std::string>& DataInfo::GetCatKeys | ( | const std::string & | catName) |  |

pure virtual

Implemented in CifDataInfo, and DictDataInfo.

virtual const std::vector<std::string>& DataInfo::GetCatNames | ( | ) |  |

pure virtual

Implemented in CifDataInfo, and DictDataInfo.

std::vector<std::vector<std::vector<std::string> > >& DataInfo::GetChildrenKeys | ( | const std::vector< std::string > & | parComboKey) |  |

const std::vector<std::vector<std::string> >& DataInfo::GetComboKeys | ( | const std::string & | catName) |  |

virtual const std::vector<std::string>& DataInfo::GetItemAttribute | ( | const std::string & | itemName,
|  | const std::string & | refCatName,
|  | const std::string & | refAttribName
| ) |  |

pure virtual

Implemented in CifDataInfo, and DictDataInfo.

virtual const std::vector<std::string>& DataInfo::GetItemsNames | ( | ) |  |

pure virtual

Implemented in CifDataInfo, and DictDataInfo.

virtual void DataInfo::GetItemsTypes | ( | std::vector< eTypeCode > & | attribsTypes,
|  | const std::string & | catName,
|  | const std::vector< std::string > & | attribsNames
| ) |  |

virtual

void DataInfo::GetMandatoryItems | ( | std::vector< std::string > & | mandItemsNames,
|  | const std::string & | catName
| ) |  |

virtual void DataInfo::GetVersion | ( | std::string & | version) |  |

pure virtual

Implemented in CifDataInfo, and DictDataInfo.

virtual bool DataInfo::IsCatDefined | ( | const std::string & | catName) |  | const

pure virtual

Implemented in CifDataInfo, and DictDataInfo.

virtual bool DataInfo::IsItemDefined | ( | const std::string & | itemName) |  |

pure virtual

Implemented in CifDataInfo, and DictDataInfo.

bool DataInfo::IsItemMandatory | ( | const std::string & | catName,
|  | const std::string & | attribName
| ) |  |

virtual bool DataInfo::IsItemMandatory | ( | const std::string & | itemName) |  |

virtual

virtual bool DataInfo::IsKeyItem | ( | const std::string & | catName,
|  | const std::string & | attribName,
|  | const Char::eCompareType | compareType = `Char::eCASE_SENSITIVE`
| ) |  |

virtual

virtual bool DataInfo::IsSimpleDataType | ( | const std::string & | itemName) |  |

virtual

virtual bool DataInfo::IsUnknownValueAllowed | ( | const std::string & | catName,
|  | const std::string & | attribName
| ) |  |

virtual

virtual bool DataInfo::MustConvertItem | ( | const std::string & | catName,
|  | const std::string & | attribName
| ) |  |

virtual

virtual void DataInfo::StandardizeEnumItem | ( | std::string & | value,
|  | const std::string & | catName,
|  | const std::string & | attribName
| ) |  |

virtual

The documentation for this class was generated from the following file:

- rcsb/DataInfo.h